/* $Cambridge: hermes/src/prayer/session/account_msshell.h,v 1.3 2008/09/16 09:59:58 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2008 */
/* See the file NOTICE for conditions of use and distribution. */

#define ACCOUNTD_DEFAULT_PORT (145)

#define ACCOUNTD_FILTER_RESTRICTED "* [FILTER_RESTRICTED] "

BOOL
account_msshell_change_password(struct account *account,
                                struct pool *pool, char *old, char *new);

char *account_msshell_fullname(struct account *account, struct pool *pool);

BOOL
account_msshell_change_fullname(struct account *account,
                                struct pool *pool, char *new);

BOOL
account_msshell_check_quota(struct account *account, struct pool *pool);

BOOL
account_msshell_mail_check(struct account *account, struct pool *pool);

BOOL
account_msshell_mail_update(struct account *account, struct pool *pool);

BOOL
account_msshell_vacation_update(struct account *account, struct pool *pool);

char *
account_msshell_vaclog_fetch(struct account *account, struct pool *pool);

BOOL
account_msshell_vaclog_clear(struct account *account, struct pool *pool);

char *account_msshell_abook_get(struct account *account, struct pool *pool);

BOOL
account_msshell_abook_put(struct account *account,
                          struct pool *pool, char *text);
